import React from 'react';
import { connect } from 'umi';
import WorkBenchMobileComponent from '../../../mobile/common/WorkBenchMobile';


function WorkBenchMobile({
  dispatch, app, content, sModelsId,
}) {
  function removePane(changePanes, currentPane) {
    dispatch({ type: 'app/removePane', payload: { changePanes, currentPane } });
  }

  const WorkBenchMobile = {
    sModelsId,
    app,
    content,
    dispatch,
    onRemovePane: removePane,
  };
  return (
    <WorkBenchMobileComponent {...WorkBenchMobile} />
  );
}


export default connect(({ app, content }) =>
  ({ app, content }))(WorkBenchMobile);
